diff --git c/scala/collection/generic/BitOperations$Int$.class w/scala/collection/generic/BitOperations$Int$.class
index 2b061ad5d0..656adc12d1 100644
--- c/scala/collection/generic/BitOperations$Int$.class
+++ w/scala/collection/generic/BitOperations$Int$.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Int=class scala/collection/generic/BitOperations$In
 public abstract #= # of #; //Int$class=class scala/collection/generic/BitOperations$Int$class of class scala/collection/generic/BitOperations
 
 Compiled from "BitOperations.scala"
-public final class scala.collection.generic.BitOperations$Int$ extends java.lang.Object implements scala.collection.generic.BitOperations$Int,scala.ScalaObject{
+public final class scala.collection.generic.BitOperations$Int$ extends java.lang.Object implements scala.collection.generic.BitOperations$Int{
 public static final scala.collection.generic.BitOperations$Int$ MODULE$;
   Signature: Lscala/collection/generic/BitOperations$Int$;
 
diff --git c/scala/collection/generic/BitOperations$Long$.class w/scala/collection/generic/BitOperations$Long$.class
index e2fdf1bccb..397e911fcc 100644
--- c/scala/collection/generic/BitOperations$Long$.class
+++ w/scala/collection/generic/BitOperations$Long$.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Long=class scala/collection/generic/BitOperations$L
 public abstract #= # of #; //Long$class=class scala/collection/generic/BitOperations$Long$class of class scala/collection/generic/BitOperations
 
 Compiled from "BitOperations.scala"
-public final class scala.collection.generic.BitOperations$Long$ extends java.lang.Object implements scala.collection.generic.BitOperations$Long,scala.ScalaObject{
+public final class scala.collection.generic.BitOperations$Long$ extends java.lang.Object implements scala.collection.generic.BitOperations$Long{
 public static final scala.collection.generic.BitOperations$Long$ MODULE$;
   Signature: Lscala/collection/generic/BitOperations$Long$;
 
diff --git c/scala/collection/generic/DefaultSignalling.class w/scala/collection/generic/DefaultSignalling.class
index 791ab29541..c5dab60d25 100644
--- c/scala/collection/generic/DefaultSignalling.class
+++ w/scala/collection/generic/DefaultSignalling.class
@@ -1,6 +1,6 @@
 
 Compiled from "Signalling.scala"
-public class scala.collection.generic.DefaultSignalling extends java.lang.Object implements scala.collection.generic.Signalling,scala.collection.generic.VolatileAbort,scala.ScalaObject{
+public class scala.collection.generic.DefaultSignalling extends java.lang.Object implements scala.collection.generic.VolatileAbort{
 private volatile boolean scala$collection$generic$VolatileAbort$$abortflag;
   Signature: Z
 
diff --git c/scala/collection/generic/DelegatedContext.class w/scala/collection/generic/DelegatedContext.class
index 0be01583b1..5f037b3ca2 100644
--- c/scala/collection/generic/DelegatedContext.class
+++ w/scala/collection/generic/DelegatedContext.class
@@ -1,6 +1,6 @@
 
 Compiled from "Signalling.scala"
-public class scala.collection.generic.DelegatedContext extends java.lang.Object implements scala.collection.generic.DelegatedSignalling,scala.ScalaObject{
+public class scala.collection.generic.DelegatedContext extends java.lang.Object implements scala.collection.generic.DelegatedSignalling{
 private scala.collection.generic.Signalling signalDelegate;
   Signature: Lscala/collection/generic/Signalling;
 
diff --git c/scala/collection/generic/GenericParMapTemplate.class w/scala/collection/generic/GenericParMapTemplate.class
index f34c9344b7..ec62aef94c 100644
--- c/scala/collection/generic/GenericParMapTemplate.class
+++ w/scala/collection/generic/GenericParMapTemplate.class
@@ -1,6 +1,6 @@
 
 Compiled from "GenericParTemplate.scala"
-public interface scala.collection.generic.GenericParMapTemplate extends scala.collection.generic.GenericParTemplate,scala.ScalaObject{
+public interface scala.collection.generic.GenericParMapTemplate extends scala.collection.generic.GenericParTemplate{
 public abstract scala.collection.parallel.Combiner newCombiner();
   Signature: ()Lscala/collection/parallel/Combiner;
 
diff --git c/scala/collection/generic/GenericParTemplate.class w/scala/collection/generic/GenericParTemplate.class
index e3e96cc67e..f15fb103cc 100644
--- c/scala/collection/generic/GenericParTemplate.class
+++ w/scala/collection/generic/GenericParTemplate.class
@@ -1,6 +1,6 @@
 
 Compiled from "GenericParTemplate.scala"
-public interface scala.collection.generic.GenericParTemplate extends scala.collection.generic.GenericTraversableTemplate,scala.collection.generic.HasNewCombiner,scala.ScalaObject{
+public interface scala.collection.generic.GenericParTemplate extends scala.collection.generic.GenericTraversableTemplate,scala.collection.generic.HasNewCombiner{
 public abstract scala.collection.generic.GenericCompanion companion();
   Signature: ()Lscala/collection/generic/GenericCompanion;
 
diff --git c/scala/collection/generic/GenericSetTemplate.class w/scala/collection/generic/GenericSetTemplate.class
index 80a9df9a73..873703c587 100644
--- c/scala/collection/generic/GenericSetTemplate.class
+++ w/scala/collection/generic/GenericSetTemplate.class
@@ -1,6 +1,6 @@
 
 Compiled from "GenericSetTemplate.scala"
-public interface scala.collection.generic.GenericSetTemplate extends scala.collection.generic.GenericTraversableTemplate,scala.ScalaObject{
+public interface scala.collection.generic.GenericSetTemplate extends scala.collection.generic.GenericTraversableTemplate{
 public abstract scala.collection.GenSet empty();
   Signature: ()Lscala/collection/GenSet;
 
diff --git c/scala/collection/generic/IterableForwarder.class w/scala/collection/generic/IterableForwarder.class
index 298fa981b9..0545b3f305 100644
--- c/scala/collection/generic/IterableForwarder.class
+++ w/scala/collection/generic/IterableForwarder.class
@@ -1,6 +1,6 @@
 
 Compiled from "IterableForwarder.scala"
-public interface scala.collection.generic.IterableForwarder extends scala.collection.Iterable,scala.collection.generic.TraversableForwarder,scala.ScalaObject{
+public interface scala.collection.generic.IterableForwarder extends scala.collection.Iterable,scala.collection.generic.TraversableForwarder{
 public abstract scala.collection.Iterable underlying();
   Signature: ()Lscala/collection/Iterable;
 
diff --git c/scala/collection/generic/SeqFactory.class w/scala/collection/generic/SeqFactory.class
index 323d3c5d48..59dec2cdb8 100644
--- c/scala/collection/generic/SeqFactory.class
+++ w/scala/collection/generic/SeqFactory.class
@@ -1,6 +1,6 @@
 
 Compiled from "SeqFactory.scala"
-public abstract class scala.collection.generic.SeqFactory extends scala.collection.generic.GenSeqFactory implements scala.collection.generic.TraversableFactory,scala.ScalaObject{
+public abstract class scala.collection.generic.SeqFactory extends scala.collection.generic.GenSeqFactory implements scala.collection.generic.TraversableFactory{
 public scala.collection.Traversable scala$collection$generic$TraversableFactory$$super$concat(scala.collection.Seq);
   Signature: (Lscala/collection/Seq;)Lscala/collection/Traversable;
   Code:
diff --git c/scala/collection/generic/SeqForwarder.class w/scala/collection/generic/SeqForwarder.class
index 48a996abb3..29d4edcde8 100644
--- c/scala/collection/generic/SeqForwarder.class
+++ w/scala/collection/generic/SeqForwarder.class
@@ -1,6 +1,6 @@
 
 Compiled from "SeqForwarder.scala"
-public interface scala.collection.generic.SeqForwarder extends scala.collection.Seq,scala.collection.generic.IterableForwarder,scala.ScalaObject{
+public interface scala.collection.generic.SeqForwarder extends scala.collection.Seq,scala.collection.generic.IterableForwarder{
 public abstract scala.collection.Seq underlying();
   Signature: ()Lscala/collection/Seq;
 
diff --git c/scala/collection/generic/SetFactory.class w/scala/collection/generic/SetFactory.class
index 2a5c4eed75..d6f646a1fe 100644
--- c/scala/collection/generic/SetFactory.class
+++ w/scala/collection/generic/SetFactory.class
@@ -1,6 +1,6 @@
 
 Compiled from "SetFactory.scala"
-public abstract class scala.collection.generic.SetFactory extends scala.collection.generic.GenSetFactory implements scala.collection.generic.GenericSeqCompanion,scala.ScalaObject{
+public abstract class scala.collection.generic.SetFactory extends scala.collection.generic.GenSetFactory implements scala.collection.generic.GenericSeqCompanion{
 public scala.collection.Traversable scala$collection$generic$GenericSeqCompanion$$super$empty();
   Signature: ()Lscala/collection/Traversable;
   Code:
diff --git c/scala/collection/generic/TraversableFactory.class w/scala/collection/generic/TraversableFactory.class
index e7d08b3028..cd120737cf 100644
--- c/scala/collection/generic/TraversableFactory.class
+++ w/scala/collection/generic/TraversableFactory.class
@@ -1,6 +1,6 @@
 
 Compiled from "TraversableFactory.scala"
-public interface scala.collection.generic.TraversableFactory extends scala.collection.generic.GenericSeqCompanion,scala.ScalaObject{
+public interface scala.collection.generic.TraversableFactory extends scala.collection.generic.GenericSeqCompanion{
 public abstract scala.collection.Traversable scala$collection$generic$TraversableFactory$$super$concat(scala.collection.Seq);
   Signature: (Lscala/collection/Seq;)Lscala/collection/Traversable;
 
diff --git c/scala/collection/generic/TraversableForwarder.class w/scala/collection/generic/TraversableForwarder.class
index 027d8627de..9439f13f0f 100644
--- c/scala/collection/generic/TraversableForwarder.class
+++ w/scala/collection/generic/TraversableForwarder.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //$less$colon$less=class scala/Predef$$less$colon$less of class scala/Predef
 
 Compiled from "TraversableForwarder.scala"
-public interface scala.collection.generic.TraversableForwarder extends scala.collection.Traversable,scala.ScalaObject{
+public interface scala.collection.generic.TraversableForwarder extends scala.collection.Traversable{
 public abstract scala.collection.Traversable underlying();
   Signature: ()Lscala/collection/Traversable;
 
diff --git c/scala/collection/immutable/$colon$colon.class w/scala/collection/immutable/$colon$colon.class
index 0707440e55..c3844c0e49 100644
--- c/scala/collection/immutable/$colon$colon.class
+++ w/scala/collection/immutable/$colon$colon.class
@@ -1,6 +1,6 @@
 
 Compiled from "List.scala"
-public final class scala.collection.immutable.$colon$colon extends scala.collection.immutable.List implements scala.ScalaObject,scala.Product,scala.Serializable{
+public final class scala.collection.immutable.$colon$colon extends scala.collection.immutable.List implements scala.Product,scala.Serializable{
 public static final long serialVersionUID;
   Signature: J
 
diff --git c/scala/collection/immutable/AbstractMap.class w/scala/collection/immutable/AbstractMap.class
index f75cf05384..c2c5ef6f07 100644
--- c/scala/collection/immutable/AbstractMap.class
+++ w/scala/collection/immutable/AbstractMap.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //$less$colon$less=class scala/Predef$$less$colon$less of class scala/Predef
 
 Compiled from "Map.scala"
-public abstract class scala.collection.immutable.AbstractMap extends scala.collection.AbstractMap implements scala.collection.immutable.Map,scala.ScalaObject{
+public abstract class scala.collection.immutable.AbstractMap extends scala.collection.AbstractMap implements scala.collection.immutable.Map{
 public scala.collection.immutable.Map empty();
   Signature: ()Lscala/collection/immutable/Map;
   Code:
diff --git c/scala/collection/immutable/BitSet$.class w/scala/collection/immutable/BitSet$.class
index e80dff7424..32727060f8 100644
--- c/scala/collection/immutable/BitSet$.class
+++ w/scala/collection/immutable/BitSet$.class
@@ -4,7 +4,7 @@ public #= # of #; //BitSet=class scala/collection/immutable/BitSet$BitSet of cla
 public #= # of #; //BitSetN=class scala/collection/immutable/BitSet$BitSetN of class scala/collection/immutable/BitSet
 
 Compiled from "BitSet.scala"
-public final class scala.collection.immutable.BitSet$ extends java.lang.Object implements scala.collection.generic.BitSetFactory,scala.ScalaObject,scala.Serializable{
+public final class scala.collection.immutable.BitSet$ extends java.lang.Object implements scala.collection.generic.BitSetFactory,scala.Serializable{
 public static final scala.collection.immutable.BitSet$ MODULE$;
   Signature: Lscala/collection/immutable/BitSet$;
 
diff --git c/scala/collection/immutable/BitSet.class w/scala/collection/immutable/BitSet.class
index 90fcb674d9..5268b1c73f 100644
--- c/scala/collection/immutable/BitSet.class
+++ w/scala/collection/immutable/BitSet.class
@@ -4,7 +4,7 @@ public #= # of #; //BitSet=class scala/collection/immutable/BitSet$BitSet of cla
 public #= # of #; //BitSetN=class scala/collection/immutable/BitSet$BitSetN of class scala/collection/immutable/BitSet
 
 Compiled from "BitSet.scala"
-public abstract class scala.collection.immutable.BitSet extends scala.collection.AbstractSet implements scala.collection.immutable.SortedSet,scala.collection.BitSet,scala.collection.BitSetLike,scala.Serializable,scala.ScalaObject{
+public abstract class scala.collection.immutable.BitSet extends scala.collection.AbstractSet implements scala.collection.immutable.SortedSet,scala.collection.BitSet,scala.Serializable{
 public static final long serialVersionUID;
   Signature: J
 
diff --git c/scala/collection/immutable/DefaultMap.class w/scala/collection/immutable/DefaultMap.class
index f2006fb4c1..2ec31096ff 100644
--- c/scala/collection/immutable/DefaultMap.class
+++ w/scala/collection/immutable/DefaultMap.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "DefaultMap.scala"
-public interface scala.collection.immutable.DefaultMap extends scala.collection.immutable.Map,scala.ScalaObject{
+public interface scala.collection.immutable.DefaultMap extends scala.collection.immutable.Map{
 public abstract scala.collection.immutable.Map $plus(scala.Tuple2);
   Signature: (Lscala/Tuple2;)Lscala/collection/immutable/Map;
 
diff --git c/scala/collection/immutable/HashMap$.class w/scala/collection/immutable/HashMap$.class
index 603e66f236..d87a5a8471 100644
--- c/scala/collection/immutable/HashMap$.class
+++ w/scala/collection/immutable/HashMap$.class
@@ -9,7 +9,7 @@ public #= # of #; //SerializationProxy=class scala/collection/immutable/HashMap$
 public #= # of #; //MapCanBuildFrom=class scala/collection/generic/GenMapFactory$MapCanBuildFrom of class scala/collection/generic/GenMapFactory
 
 Compiled from "HashMap.scala"
-public final class scala.collection.immutable.HashMap$ extends scala.collection.generic.ImmutableMapFactory implements scala.collection.generic.BitOperations$Int,scala.ScalaObject,scala.Serializable{
+public final class scala.collection.immutable.HashMap$ extends scala.collection.generic.ImmutableMapFactory implements scala.collection.generic.BitOperations$Int,scala.Serializable{
 public static final scala.collection.immutable.HashMap$ MODULE$;
   Signature: Lscala/collection/immutable/HashMap$;
 
diff --git c/scala/collection/immutable/HashMap.class w/scala/collection/immutable/HashMap.class
index e98b462e2e..9b844b0631 100644
--- c/scala/collection/immutable/HashMap.class
+++ w/scala/collection/immutable/HashMap.class
@@ -6,7 +6,7 @@ public #= # of #; //HashMapCollision=class scala/collection/immutable/HashMap$Ha
 public #= # of #; //SerializationProxy=class scala/collection/immutable/HashMap$SerializationProxy of class scala/collection/immutable/HashMap
 
 Compiled from "HashMap.scala"
-public class scala.collection.immutable.HashMap extends scala.collection.immutable.AbstractMap implements scala.collection.immutable.Map,scala.collection.immutable.MapLike,scala.Serializable,scala.collection.CustomParallelizable,scala.ScalaObject{
+public class scala.collection.immutable.HashMap extends scala.collection.immutable.AbstractMap implements scala.collection.immutable.Map,scala.Serializable,scala.collection.CustomParallelizable{
 public static final long serialVersionUID;
   Signature: J
 
diff --git c/scala/collection/immutable/HashSet.class w/scala/collection/immutable/HashSet.class
index 004835a273..59592a8a99 100644
--- c/scala/collection/immutable/HashSet.class
+++ w/scala/collection/immutable/HashSet.class
@@ -6,7 +6,7 @@ public #= # of #; //HashSetCollision=class scala/collection/immutable/HashSet$Ha
 public #= # of #; //SerializationProxy=class scala/collection/immutable/HashSet$SerializationProxy of class scala/collection/immutable/HashSet
 
 Compiled from "HashSet.scala"
-public class scala.collection.immutable.HashSet extends scala.collection.AbstractSet implements scala.collection.immutable.Set,scala.collection.generic.GenericSetTemplate,scala.collection.SetLike,scala.collection.CustomParallelizable,scala.Serializable,scala.ScalaObject{
+public class scala.collection.immutable.HashSet extends scala.collection.AbstractSet implements scala.collection.immutable.Set,scala.collection.CustomParallelizable,scala.Serializable{
 public static final long serialVersionUID;
   Signature: J
 
diff --git c/scala/collection/immutable/IndexedSeq$Impl.class w/scala/collection/immutable/IndexedSeq$Impl.class
index d74be57023..c8c825a74b 100644
--- c/scala/collection/immutable/IndexedSeq$Impl.class
+++ w/scala/collection/immutable/IndexedSeq$Impl.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //Impl=class scala/collection/immutable/IndexedSeq$Impl of class scala/collection/immutable/IndexedSeq
 
 Compiled from "IndexedSeq.scala"
-public class scala.collection.immutable.IndexedSeq$Impl extends scala.collection.AbstractSeq implements scala.collection.immutable.IndexedSeq,scala.Serializable,scala.ScalaObject{
+public class scala.collection.immutable.IndexedSeq$Impl extends scala.collection.AbstractSeq implements scala.collection.immutable.IndexedSeq,scala.Serializable{
 private final scala.collection.mutable.ArrayBuffer buf;
   Signature: Lscala/collection/mutable/ArrayBuffer;
 
diff --git c/scala/collection/immutable/IndexedSeq.class w/scala/collection/immutable/IndexedSeq.class
index af22f5b524..7c772f3168 100644
--- c/scala/collection/immutable/IndexedSeq.class
+++ w/scala/collection/immutable/IndexedSeq.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //Impl=class scala/collection/immutable/IndexedSeq$Impl of class scala/collection/immutable/IndexedSeq
 
 Compiled from "IndexedSeq.scala"
-public interface scala.collection.immutable.IndexedSeq extends scala.collection.immutable.Seq,scala.collection.IndexedSeq,scala.collection.generic.GenericTraversableTemplate,scala.collection.IndexedSeqLike,scala.ScalaObject{
+public interface scala.collection.immutable.IndexedSeq extends scala.collection.immutable.Seq,scala.collection.IndexedSeq{
 public abstract scala.collection.generic.GenericCompanion companion();
   Signature: ()Lscala/collection/generic/GenericCompanion;
 
diff --git c/scala/collection/immutable/IntMap$Bin.class w/scala/collection/immutable/IntMap$Bin.class
index d95987f90a..fbffd3e249 100644
--- c/scala/collection/immutable/IntMap$Bin.class
+++ w/scala/collection/immutable/IntMap$Bin.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //Bin=class scala/collection/immutable/IntMap$Bin of class scala/collection/immutable/IntMap
 
 Compiled from "IntMap.scala"
-public class scala.collection.immutable.IntMap$Bin extends scala.collection.immutable.IntMap implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.collection.immutable.IntMap$Bin extends scala.collection.immutable.IntMap implements scala.Product,scala.Serializable{
 private final int prefix;
   Signature: I
 
diff --git c/scala/collection/immutable/IntMap$Nil$.class w/scala/collection/immutable/IntMap$Nil$.class
index 7d22347b81..7fc167d639 100644
--- c/scala/collection/immutable/IntMap$Nil$.class
+++ w/scala/collection/immutable/IntMap$Nil$.class
@@ -2,7 +2,7 @@ InnerClasses:
 public final #= # of #; //Nil$=class scala/collection/immutable/IntMap$Nil$ of class scala/collection/immutable/IntMap
 
 Compiled from "IntMap.scala"
-public final class scala.collection.immutable.IntMap$Nil$ extends scala.collection.immutable.IntMap implements scala.ScalaObject,scala.Product,scala.Serializable{
+public final class scala.collection.immutable.IntMap$Nil$ extends scala.collection.immutable.IntMap implements scala.Product,scala.Serializable{
 public static final scala.collection.immutable.IntMap$Nil$ MODULE$;
   Signature: Lscala/collection/immutable/IntMap$Nil$;
 
diff --git c/scala/collection/immutable/IntMap$Tip.class w/scala/collection/immutable/IntMap$Tip.class
index fa953632fe..2feaa68cd0 100644
--- c/scala/collection/immutable/IntMap$Tip.class
+++ w/scala/collection/immutable/IntMap$Tip.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //Tip=class scala/collection/immutable/IntMap$Tip of class scala/collection/immutable/IntMap
 
 Compiled from "IntMap.scala"
-public class scala.collection.immutable.IntMap$Tip extends scala.collection.immutable.IntMap implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.collection.immutable.IntMap$Tip extends scala.collection.immutable.IntMap implements scala.Product,scala.Serializable{
 private final int key;
   Signature: I
 
diff --git c/scala/collection/immutable/IntMap.class w/scala/collection/immutable/IntMap.class
index 31c4774ed2..fde33f88c6 100644
--- c/scala/collection/immutable/IntMap.class
+++ w/scala/collection/immutable/IntMap.class
@@ -7,7 +7,7 @@ public final #= # of #; //Bin$=class scala/collection/immutable/IntMap$Bin$ of c
 public abstract #= # of #; //Int=class scala/collection/generic/BitOperations$Int of class scala/collection/generic/BitOperations
 
 Compiled from "IntMap.scala"
-public abstract class scala.collection.immutable.IntMap extends scala.collection.immutable.AbstractMap implements scala.collection.immutable.Map,scala.collection.immutable.MapLike,scala.ScalaObject{
+public abstract class scala.collection.immutable.IntMap extends scala.collection.immutable.AbstractMap implements scala.collection.immutable.Map{
 public static scala.collection.immutable.IntMap singleton(int, java.lang.Object);
   Signature: (ILjava/lang/Object;)Lscala/collection/immutable/IntMap;
   Code:
diff --git c/scala/collection/immutable/IntMapUtils$.class w/scala/collection/immutable/IntMapUtils$.class
index bbc781f9e3..368c503cd1 100644
--- c/scala/collection/immutable/IntMapUtils$.class
+++ w/scala/collection/immutable/IntMapUtils$.class
@@ -5,7 +5,7 @@ public abstract #= # of #; //Int=class scala/collection/generic/BitOperations$In
 public abstract #= # of #; //Int$class=class scala/collection/generic/BitOperations$Int$class of class scala/collection/generic/BitOperations
 
 Compiled from "IntMap.scala"
-public final class scala.collection.immutable.IntMapUtils$ extends java.lang.Object implements scala.collection.generic.BitOperations$Int,scala.ScalaObject{
+public final class scala.collection.immutable.IntMapUtils$ extends java.lang.Object implements scala.collection.generic.BitOperations$Int{
 public static final scala.collection.immutable.IntMapUtils$ MODULE$;
   Signature: Lscala/collection/immutable/IntMapUtils$;
 
diff --git c/scala/collection/immutable/Iterable$.class w/scala/collection/immutable/Iterable$.class
index 88d6780516..8f263ba40d 100644
--- c/scala/collection/immutable/Iterable$.class
+++ w/scala/collection/immutable/Iterable$.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //GenericCanBuildFrom=class scala/collection/generic/GenTraversableFactory$GenericCanBuildFrom of class scala/collection/generic/GenTraversableFactory
 
 Compiled from "Iterable.scala"
-public final class scala.collection.immutable.Iterable$ extends scala.collection.generic.GenTraversableFactory implements scala.collection.generic.TraversableFactory,scala.ScalaObject{
+public final class scala.collection.immutable.Iterable$ extends scala.collection.generic.GenTraversableFactory implements scala.collection.generic.TraversableFactory{
 public static final scala.collection.immutable.Iterable$ MODULE$;
   Signature: Lscala/collection/immutable/Iterable$;
 
diff --git c/scala/collection/immutable/Iterable.class w/scala/collection/immutable/Iterable.class
index e3ab7bab57..c093122b7e 100644
--- c/scala/collection/immutable/Iterable.class
+++ w/scala/collection/immutable/Iterable.class
@@ -1,6 +1,6 @@
 
 Compiled from "Iterable.scala"
-public interface scala.collection.immutable.Iterable extends scala.collection.immutable.Traversable,scala.collection.Iterable,scala.collection.generic.GenericTraversableTemplate,scala.collection.IterableLike,scala.collection.Parallelizable,scala.ScalaObject{
+public interface scala.collection.immutable.Iterable extends scala.collection.immutable.Traversable,scala.collection.Iterable{
 public abstract scala.collection.generic.GenericCompanion companion();
   Signature: ()Lscala/collection/generic/GenericCompanion;
 
diff --git c/scala/collection/immutable/LinearSeq.class w/scala/collection/immutable/LinearSeq.class
index 926ad049ae..43bd5f42e4 100644
--- c/scala/collection/immutable/LinearSeq.class
+++ w/scala/collection/immutable/LinearSeq.class
@@ -1,6 +1,6 @@
 
 Compiled from "LinearSeq.scala"
-public interface scala.collection.immutable.LinearSeq extends scala.collection.immutable.Seq,scala.collection.LinearSeq,scala.collection.generic.GenericTraversableTemplate,scala.collection.LinearSeqLike,scala.ScalaObject{
+public interface scala.collection.immutable.LinearSeq extends scala.collection.immutable.Seq,scala.collection.LinearSeq{
 public abstract scala.collection.generic.GenericCompanion companion();
   Signature: ()Lscala/collection/generic/GenericCompanion;
 
diff --git c/scala/collection/immutable/List.class w/scala/collection/immutable/List.class
index 74ef1f97a9..723cb6581f 100644
--- c/scala/collection/immutable/List.class
+++ w/scala/collection/immutable/List.class
@@ -4,7 +4,7 @@ public final #= # of #; //Empty$=class scala/collection/immutable/Stream$Empty$
 public #= # of #; //GenericCanBuildFrom=class scala/collection/generic/GenTraversableFactory$GenericCanBuildFrom of class scala/collection/generic/GenTraversableFactory
 
 Compiled from "List.scala"
-public abstract class scala.collection.immutable.List extends scala.collection.AbstractSeq implements scala.collection.immutable.LinearSeq,scala.Product,scala.collection.generic.GenericTraversableTemplate,scala.collection.LinearSeqOptimized,scala.ScalaObject{
+public abstract class scala.collection.immutable.List extends scala.collection.AbstractSeq implements scala.collection.immutable.LinearSeq,scala.Product,scala.collection.LinearSeqOptimized{
 public static scala.collection.immutable.List empty();
   Signature: ()Lscala/collection/immutable/List;
   Code:
diff --git c/scala/collection/immutable/ListMap.class w/scala/collection/immutable/ListMap.class
index 1add66dc9b..f0ae57249d 100644
--- c/scala/collection/immutable/ListMap.class
+++ w/scala/collection/immutable/ListMap.class
@@ -3,7 +3,7 @@ public #= # of #; //Node=class scala/collection/immutable/ListMap$Node of class
 public final #= # of #; //EmptyListMap$=class scala/collection/immutable/ListMap$EmptyListMap$ of class scala/collection/immutable/ListMap
 
 Compiled from "ListMap.scala"
-public class scala.collection.immutable.ListMap extends scala.collection.immutable.AbstractMap implements scala.collection.immutable.Map,scala.collection.immutable.MapLike,scala.Serializable,scala.ScalaObject{
+public class scala.collection.immutable.ListMap extends scala.collection.immutable.AbstractMap implements scala.collection.immutable.Map,scala.Serializable{
 public static final long serialVersionUID;
   Signature: J
 
diff --git c/scala/collection/immutable/ListSerializeEnd$.class w/scala/collection/immutable/ListSerializeEnd$.class
index 9eddc5bc12..4a7431cbcb 100644
--- c/scala/collection/immutable/ListSerializeEnd$.class
+++ w/scala/collection/immutable/ListSerializeEnd$.class
@@ -1,6 +1,6 @@
 
 Compiled from "List.scala"
-public final class scala.collection.immutable.ListSerializeEnd$ extends java.lang.Object implements scala.ScalaObject,scala.Product,scala.Serializable{
+public final class scala.collection.immutable.ListSerializeEnd$ extends java.lang.Object implements scala.Product,scala.Serializable{
 public static final scala.collection.immutable.ListSerializeEnd$ MODULE$;
   Signature: Lscala/collection/immutable/ListSerializeEnd$;
 
diff --git c/scala/collection/immutable/ListSet$ListSetBuilder.class w/scala/collection/immutable/ListSet$ListSetBuilder.class
index 12e2e30026..b8063265e9 100644
--- c/scala/collection/immutable/ListSet$ListSetBuilder.class
+++ w/scala/collection/immutable/ListSet$ListSetBuilder.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //ListSetBuilder=class scala/collection/immutable/ListSet$ListSetBuilder of class scala/collection/immutable/ListSet
 
 Compiled from "ListSet.scala"
-public class scala.collection.immutable.ListSet$ListSetBuilder extends java.lang.Object implements scala.collection.mutable.Builder,scala.ScalaObject{
+public class scala.collection.immutable.ListSet$ListSetBuilder extends java.lang.Object implements scala.collection.mutable.Builder{
 private final scala.collection.mutable.ListBuffer elems;
   Signature: Lscala/collection/mutable/ListBuffer;
 
diff --git c/scala/collection/immutable/ListSet.class w/scala/collection/immutable/ListSet.class
index 5c95438e61..1ff5eb68c1 100644
--- c/scala/collection/immutable/ListSet.class
+++ w/scala/collection/immutable/ListSet.class
@@ -4,7 +4,7 @@ public final #= # of #; //EmptyListSet$=class scala/collection/immutable/ListSet
 public #= # of #; //ListSetBuilder=class scala/collection/immutable/ListSet$ListSetBuilder of class scala/collection/immutable/ListSet
 
 Compiled from "ListSet.scala"
-public class scala.collection.immutable.ListSet extends scala.collection.AbstractSet implements scala.collection.immutable.Set,scala.collection.generic.GenericSetTemplate,scala.collection.SetLike,scala.Serializable,scala.ScalaObject{
+public class scala.collection.immutable.ListSet extends scala.collection.AbstractSet implements scala.collection.immutable.Set,scala.Serializable{
 public static scala.collection.generic.CanBuildFrom canBuildFrom();
   Signature: ()Lscala/collection/generic/CanBuildFrom;
   Code:
diff --git c/scala/collection/immutable/LongMap$Bin.class w/scala/collection/immutable/LongMap$Bin.class
index 7853b57b20..4942069c00 100644
--- c/scala/collection/immutable/LongMap$Bin.class
+++ w/scala/collection/immutable/LongMap$Bin.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //Bin=class scala/collection/immutable/LongMap$Bin of class scala/collection/immutable/LongMap
 
 Compiled from "LongMap.scala"
-public class scala.collection.immutable.LongMap$Bin extends scala.collection.immutable.LongMap implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.collection.immutable.LongMap$Bin extends scala.collection.immutable.LongMap implements scala.Product,scala.Serializable{
 private final long prefix;
   Signature: J
 
